gRPC C#
gRPC C#
Namespaces
Grpc.Core
ServerServiceDefinition Class
ServerServiceDefinition Methods
CreateBuilder Method

ServerServiceDefinition CreateBuilder Method

Creates a new builder object for ServerServiceDefinition.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public static ServerServiceDefinitionBuilder CreateBuilder(
    	string serviceName
    )

    Public Shared Function CreateBuilder (
    	serviceName As String
    ) As ServerServiceDefinitionBuilder

    public:
    static ServerServiceDefinitionBuilder^ CreateBuilder(
    	String^ serviceName
    )

    static member CreateBuilder :
            serviceName : string -> ServerServiceDefinitionBuilder

#### Parameters

serviceName
  Type: System
  String
  The service name.

#### Return Value

Type: ServerServiceDefinition
Builder
The builder object.
See Also

#### Reference

ServerServiceDefinition Class
Grpc.Core Namespace